### Method

# Goa Client get_accounts

#### Declaration [src]

    GList*
    goa_client_get_accounts (
      GoaClient* self
    )

#### Description [src]

Gets all accounts that `self` knows about.

The result is a list of `GoaObject` instances where each object at least has an `GoaAccount` interface (that can be obtained via the `goa_object_get_account()` method) but may also implement other interfaces such as `GoaMail` or `GoaFiles`.

#### Return value

Type: A list of `None`

A list of `GoaObject` instances.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.